function [ A ] = A_all_n( z, M )
%A_all_n computes all the A ratios for complex argument z.

A = complex(zeros(M + 2, 1), zeros(M + 2, 1));
if M == 0
    return
end

% indices have been shifted 1 as we need A_0
for n=M:-1:0
    tmp = (n + 1.0)/z;
    A(n + 1) = tmp - 1.0/(tmp + A(n + 2));
end

end

